Bug 768737 - Error with variants
Summary: Error with variants
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xfce4-xkb-plugin
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christoph Wickert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-12-18 13:04 UTC by Ivan Romanov
Modified: 2012-12-20 15:38 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-12-20 15:38:27 UTC


Attachments (Terms of Use)
/etc/sysconfig/keyboard (134 bytes, text/plain)
2011-12-18 13:25 UTC, Ivan Romanov
no flags Details


Links
System ID Priority Status Summary Last Updated
Xfce 8255 None None None 2012-10-15 15:05:30 UTC

Description Ivan Romanov 2011-12-18 13:04:52 UTC
Description of problem:
I see weird symbols in variants for layouts. Just have a look at original bug on Xfce Bugzilla https://bugzilla.xfce.org/show_bug.cgi?id=8255

I wrote patch to fix it. Xfce developers are very slow. So can you apply my patch for Fedora package?

Comment 1 François Cami 2011-12-18 13:16:55 UTC
I can't reproduce the bug in the screenshot (from upstream's bugzilla).
Could you explain how you arrived in this situation?

Comment 2 François Cami 2011-12-18 13:19:17 UTC
BTW, from upstream's bugzilla:
"Reported: 	2011-12-18 06:22 CET by Ivan Romanov"
You've just created the bug report in upstream's bugzilla. I'm not sure why you state they're slow ;)

Comment 3 Ivan Romanov 2011-12-18 13:25:28 UTC
Created attachment 548382 [details]
/etc/sysconfig/keyboard

Try with such keyboard file. Remove applet and restart your PC. Then add xkb plugin again.

Comment 4 Ivan Romanov 2011-12-18 13:27:42 UTC
A half year ago I wrote patch for netload plugin.
https://bugzilla.xfce.org/show_bug.cgi?id=7804

Comment 5 Ivan Romanov 2012-01-07 02:52:30 UTC
hi. updating in https://bugzilla.xfce.org/show_bug.cgi?id=8255. patch applied by upstream.

Comment 6 Fedora End Of Life 2012-08-07 15:50:45 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Ivan Romanov 2012-10-15 14:26:20 UTC
I reopen this bug as it still there is in Fedora 17.

Comment 8 Ivan Romanov 2012-10-15 14:34:36 UTC
there is a new version of the plugin. You can just update the package to latest upstream version.

Comment 9 Ivan Romanov 2012-10-15 14:38:32 UTC
http://git.xfce.org/panel-plugins/xfce4-xkb-plugin/tree/ChangeLog
2012-01-07 04:18  winterheart
	* New version 0.5.4.3
	* Fix error with incorrect handling variants (bug #8255 by Ivan Romanov)

Comment 10 Ivan Romanov 2012-10-15 16:21:21 UTC
xfce4-xkb-plugin-0.5.4.3-2.fc17 solves this problem.
Thanks!

Comment 11 Fedora Update System 2012-10-15 16:32:02 UTC
xfce4-xkb-plugin-0.5.4.3-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/xfce4-xkb-plugin-0.5.4.3-2.fc18

Comment 12 Fedora Update System 2012-10-15 16:33:00 UTC
xfce4-xkb-plugin-0.5.4.3-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/xfce4-xkb-plugin-0.5.4.3-2.fc17

Comment 13 Fedora Update System 2012-10-15 16:33:43 UTC
xfce4-xkb-plugin-0.5.4.3-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/xfce4-xkb-plugin-0.5.4.3-2.fc16

Comment 14 Fedora Update System 2012-10-15 23:26:17 UTC
Package xfce4-xkb-plugin-0.5.4.3-2.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xfce4-xkb-plugin-0.5.4.3-2.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16146/xfce4-xkb-plugin-0.5.4.3-2.fc16
then log in and leave karma (feedback).

Comment 15 Ivan Romanov 2012-10-16 01:57:49 UTC
update works good.

Comment 16 Fedora Update System 2012-12-20 15:38:29 UTC
xfce4-xkb-plugin-0.5.4.3-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.